/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLIsIndexElement_H___INT_
#define __GdomHTMLIsIndexElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLInputElement.h"
#include "GDOMObject.h"
#include "HTMLIsIndexElement.h"
G_BEGIN_DECLS
class GDOMHTMLIsIndexElement : public GDOMHTMLInputElement {
    typedef GDOMHTMLInputElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_IS_INDEX_ELEMENT; }
    GDOMHTMLIsIndexElement(PassRefPtr<WebCore::HTMLIsIndexElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLIsIndexElement_H___INT_*/
